Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.any23.servlet
Class ServletTest

    java.lang.Object
      org.apache.any23.servlet.ServletTest

    public class ServletTest

extends Object

Test case for `ServletTest.TestableServlet` class.

Nested Class Summary
`static class` | `ServletTest.TestableServlet` Test purpose servlet implementation.

Constructor Summary
`ServletTest()`

Method Summary
`void` | `setUp()`
`void` | `tearDown()`
`void` | `testContentNegotiationDefaultsToTurtle()`
`void` | `testContentNegotiationForNTriples()`
`void` | `testContentNegotiationForRDFXML()`
`void` | `testContentNegotiationForTurtle()`
`void` | `testContentNegotiationForTurtleAlias()`
`void` | `testContentNegotiationForUnacceptableFormatReturns406()`
`void` | `testContentNegotiationForWildcardReturnsTurtle()`
`void` | `testCorrectBaseURI()`
`void` | `testDefaultBaseURIinPOST()`
`void` | `testGETAddsHTTPScheme()`
`void` | `testGETIncludesQueryString()`
`void` | `testGETInvalidURI()`
`void` | `testGETOnlyFormat()`
`void` | `testGETwithFormatAndURIinParam()`
`void` | `testGETwithURIinParam()`
`void` | `testGETwithURLDecoding()`
`void` | `testGETwithURLDecodingInParam()`
`void` | `testGETwithURLEncoding()` This test has been disabled in order to avoid external resources dependencies
`void` | `testGETwithURLEncodingWithFragment()` This test has been disabled in order to avoid external resources dependencies
`void` | `testGETwithURLEncodingWithQuery()` This test has been disabled in order to avoid external resources dependencies
`void` | `testGETWorks()`
`void` | `testGETWrongFormat()`
`void` | `testJSONResponseFormat()`
`void` | `testPOSTBodyInParamWorks()`
`void` | `testPOSTbodyMissingFormat()`
`void` | `testPOSTBodyWorks()`
`void` | `testPOSTNothing()`
`void` | `testPOSTonlyFormat()`
`void` | `testPOSTonlyURI()`
`void` | `testPOSTwithContentTypeParam()`
`void` | `testPOSTwithoutContentType()`
`void` | `testPOSTWorks()`
`void` | `testPOSTWorksWithParametersOnContentType()`
`void` | `testResponseWithReport()`
`void` | `testTriXResponseFormat()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ServletTest

    public ServletTest()

Method Detail

### setUp

    public void setUp()
               throws Exception

  Throws:
    `Exception`

### tearDown

    public void tearDown()
                  throws Exception

  Throws:
    `Exception`

### testGETOnlyFormat

    public void testGETOnlyFormat()
                           throws Exception

  Throws:
    `Exception`

### testGETWrongFormat

    public void testGETWrongFormat()
                            throws Exception

  Throws:
    `Exception`

### testGETInvalidURI

    public void testGETInvalidURI()
                           throws Exception

  Throws:
    `Exception`

### testGETWorks

    public void testGETWorks()
                      throws Exception

  Throws:
    `Exception`

### testGETAddsHTTPScheme

    public void testGETAddsHTTPScheme()
                               throws Exception

  Throws:
    `Exception`

### testGETIncludesQueryString

    public void testGETIncludesQueryString()
                                    throws Exception

  Throws:
    `Exception`

### testGETwithURIinParam

    public void testGETwithURIinParam()
                               throws Exception

  Throws:
    `Exception`

### testGETwithFormatAndURIinParam

    public void testGETwithFormatAndURIinParam()
                                        throws Exception

  Throws:
    `Exception`

### testGETwithURLDecoding

    public void testGETwithURLDecoding()
                                throws Exception

  Throws:
    `Exception`

### testGETwithURLDecodingInParam

    public void testGETwithURLDecodingInParam()
                                       throws Exception

  Throws:
    `Exception`

### testPOSTNothing

    public void testPOSTNothing()
                         throws Exception

  Throws:
    `Exception`

### testPOSTWorks

    public void testPOSTWorks()
                       throws Exception

  Throws:
    `Exception`

### testPOSTWorksWithParametersOnContentType

    public void testPOSTWorksWithParametersOnContentType()
                                                  throws Exception

  Throws:
    `Exception`

### testPOSTBodyWorks

    public void testPOSTBodyWorks()
                           throws Exception

  Throws:
    `Exception`

### testPOSTBodyInParamWorks

    public void testPOSTBodyInParamWorks()
                                  throws Exception

  Throws:
    `Exception`

### testPOSTonlyURI

    public void testPOSTonlyURI()
                         throws Exception

  Throws:
    `Exception`

### testPOSTonlyFormat

    public void testPOSTonlyFormat()
                            throws Exception

  Throws:
    `Exception`

### testGETwithURLEncoding

    public void testGETwithURLEncoding()
                                throws Exception

  This test has been disabled in order to avoid external resources dependencies

  Throws:
    `Exception`

### testGETwithURLEncodingWithQuery

    public void testGETwithURLEncodingWithQuery()
                                         throws Exception

  This test has been disabled in order to avoid external resources dependencies

  Throws:
    `Exception`

### testGETwithURLEncodingWithFragment

    public void testGETwithURLEncodingWithFragment()
                                            throws Exception

  This test has been disabled in order to avoid external resources dependencies

  Throws:
    `Exception`

### testCorrectBaseURI

    public void testCorrectBaseURI()
                            throws Exception

  Throws:
    `Exception`

### testDefaultBaseURIinPOST

    public void testDefaultBaseURIinPOST()
                                  throws Exception

  Throws:
    `Exception`

### testPOSTwithoutContentType

    public void testPOSTwithoutContentType()
                                    throws Exception

  Throws:
    `Exception`

### testPOSTwithContentTypeParam

    public void testPOSTwithContentTypeParam()
                                      throws Exception

  Throws:
    `Exception`

### testPOSTbodyMissingFormat

    public void testPOSTbodyMissingFormat()
                                   throws Exception

  Throws:
    `Exception`

### testContentNegotiationDefaultsToTurtle

    public void testContentNegotiationDefaultsToTurtle()
                                                throws Exception

  Throws:
    `Exception`

### testContentNegotiationForWildcardReturnsTurtle

    public void testContentNegotiationForWildcardReturnsTurtle()
                                                        throws Exception

  Throws:
    `Exception`

### testContentNegotiationForUnacceptableFormatReturns406

    public void testContentNegotiationForUnacceptableFormatReturns406()
                                                               throws Exception

  Throws:
    `Exception`

### testContentNegotiationForTurtle

    public void testContentNegotiationForTurtle()
                                         throws Exception

  Throws:
    `Exception`

### testContentNegotiationForTurtleAlias

    public void testContentNegotiationForTurtleAlias()
                                              throws Exception

  Throws:
    `Exception`

### testContentNegotiationForRDFXML

    public void testContentNegotiationForRDFXML()
                                         throws Exception

  Throws:
    `Exception`

### testContentNegotiationForNTriples

    public void testContentNegotiationForNTriples()
                                           throws Exception

  Throws:
    `Exception`

### testResponseWithReport

    public void testResponseWithReport()
                                throws Exception

  Throws:
    `Exception`

### testJSONResponseFormat

    public void testJSONResponseFormat()
                                throws Exception

  Throws:
    `Exception`

### testTriXResponseFormat

    public void testTriXResponseFormat()
                                throws Exception

  Throws:
    `Exception`

Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010-2012 The Apache Software Foundation. All Rights Reserved.